Bug 208285 - LowPerformance took 29465 ms.
LowPerformance took 29465 ms.
Status: RESOLVED FIXED
Product: webservices
Classification: Unclassified
Component: REST
7.1
All All
: P3 (vote)
: 7.2
Assigned To: Denis Anisimov
issues@webservices
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-11 10:01 UTC by Exceptions Reporter
Modified: 2012-04-06 10:06 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (55.84 KB, application/nps)
2012-02-11 10:01 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2012-02-11 10:01:24 UTC
Build: NetBeans IDE 7.1 (Build 201112071828)
VM: Java HotSpot(TM) 64-Bit Server VM, 20.1-b02, Java(TM) SE Runtime Environment, 1.6.0_26-b03
OS: Linux

User Comments:
valdomiro: Starting Netbeans

GUEST: Just opened the IDE



Maximum slowness yet reported was 29465 ms, average is 15565
Comment 1 Exceptions Reporter 2012-02-11 10:01:26 UTC
Created attachment 115617 [details]
nps snapshot
Comment 2 David Konecny 2012-04-05 05:32:41 UTC
org.netbeans.modules.websvc.rest.samples.ui.SampleWizardIterator.instantiate() should be changed into AsynchIterator. Low priority though (IMO).
Comment 3 Denis Anisimov 2012-04-05 07:29:01 UTC
No need to use project reference in the code. Only project directory are required.
As result no need to use AsynchIterator.
web-main#c1204800a063
Comment 4 Quality Engineering 2012-04-06 10:06:18 UTC
Integrated into 'main-golden', will be available in build *201204060400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/c1204800a063
User: Denis Anisimov <ads@netbeans.org>
Log: Fix for BZ#208285 - LowPerformance took 29465 ms.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo